//---------------------------------------------------------------------------
//
// Name:        RestorantFrm.cpp
// Author:      Kyosuke Kasuga
// Created:     24-02-2009 21:22:56
// Description: RestorantFrm class implementation
//
//---------------------------------------------------------------------------

#include "RestorantFrm.h"

//Do not add custom headers between
//Header Include Start and Header Include End
//wxDev-C++ designer will remove them
////Header Include Start
////Header Include End

//----------------------------------------------------------------------------
// RestorantFrm
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(RestorantFrm,wxFrame)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(RestorantFrm::OnClose)
END_EVENT_TABLE()
////Event Table End

RestorantFrm::RestorantFrm(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxFrame(parent, id, title, position, size, style)
{
	CreateGUIControls();
}

RestorantFrm::~RestorantFrm()
{
}

void RestorantFrm::CreateGUIControls()
{
	//Do not add custom code between
	//GUI Items Creation Start and GUI Items Creation End
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	////GUI Items Creation Start

	SetTitle(wxT("Restorant \"Le Chich\""));
	SetIcon(wxNullIcon);
	SetSize(8,8,609,315);
	Center();
	

	WxMenuPrincipal = new wxMenuBar();
	wxMenu *ID_MNU_PROGRAMA_1000_Mnu_Obj = new wxMenu(0);
	ID_MNU_PROGRAMA_1000_Mnu_Obj->Append(ID_MNU_SUBMENUITEM2_1001, wxT("Login"), wxT("Entrar al sistema"), wxITEM_NORMAL);
	ID_MNU_PROGRAMA_1000_Mnu_Obj->Append(ID_MNU_LOGOUT_1002, wxT("Logout"), wxT("Salir del sistema"), wxITEM_NORMAL);
	ID_MNU_PROGRAMA_1000_Mnu_Obj->AppendSeparator();
	ID_MNU_PROGRAMA_1000_Mnu_Obj->Append(ID_MNU_CREARBASEDEDATOS_1004, wxT("Crear base de datos"), wxT("Crea una nueva base de datos vacia"), wxITEM_NORMAL);
	ID_MNU_PROGRAMA_1000_Mnu_Obj->AppendSeparator();
	ID_MNU_PROGRAMA_1000_Mnu_Obj->Append(ID_MNU_SALIR_1005, wxT("Salir"), wxT("Cierra el sistema"), wxITEM_NORMAL);
	WxMenuPrincipal->Append(ID_MNU_PROGRAMA_1000_Mnu_Obj, wxT("Programa"));
	
	wxMenu *ID_MNU_CONSULTAS_2000_Mnu_Obj = new wxMenu(0);
	ID_MNU_CONSULTAS_2000_Mnu_Obj->Append(ID_MNU_VENDER_2001, wxT("Vender"), wxT("Genera venta con boleta"), wxITEM_NORMAL);
	ID_MNU_CONSULTAS_2000_Mnu_Obj->Append(ID_MNU_MOSTRARVENTAS_2002, wxT("Mostrar ventas"), wxT("Genera listado de las boletas de determinada fecha"), wxITEM_NORMAL);
	ID_MNU_CONSULTAS_2000_Mnu_Obj->AppendSeparator();
	ID_MNU_CONSULTAS_2000_Mnu_Obj->Append(ID_MNU_CONSULTA_2004, wxT("Consulta"), wxT("Opcin para generar consultas"), wxITEM_NORMAL);
	ID_MNU_CONSULTAS_2000_Mnu_Obj->Append(ID_MNU_LIBRODIARIO_2005, wxT("Libro Diario"), wxT("Genera el libro diario"), wxITEM_NORMAL);
	ID_MNU_CONSULTAS_2000_Mnu_Obj->AppendSeparator();
	ID_MNU_CONSULTAS_2000_Mnu_Obj->Append(ID_MNU_ANULARBOLETADEVENTA_2006, wxT("Anular boleta de venta"), wxT("Anula una venta"), wxITEM_NORMAL);
	WxMenuPrincipal->Append(ID_MNU_CONSULTAS_2000_Mnu_Obj, wxT("Consultas"));
	
	wxMenu *ID_MNU_BODEGA_3000_Mnu_Obj = new wxMenu(0);
	ID_MNU_BODEGA_3000_Mnu_Obj->Append(ID_MNU_AGREGARPRODUCTO_3001, wxT("Agregar producto"), wxT("Agrega una partida de productos"), wxITEM_NORMAL);
	ID_MNU_BODEGA_3000_Mnu_Obj->Append(ID_MNU_LISTARPRODUCTOS_3002, wxT("Listar Productos"), wxT("Lista una partida de productos"), wxITEM_NORMAL);
	ID_MNU_BODEGA_3000_Mnu_Obj->Append(ID_MNU_BUSCARPRODUCTO_3003, wxT("Buscar producto"), wxT("Busca un producto especfico"), wxITEM_NORMAL);
	ID_MNU_BODEGA_3000_Mnu_Obj->Append(ID_MNU_MODIFICARPARTIDA_3004, wxT("Modificar partida"), wxT("Modifica una partida de productos"), wxITEM_NORMAL);
	ID_MNU_BODEGA_3000_Mnu_Obj->AppendSeparator();
	ID_MNU_BODEGA_3000_Mnu_Obj->Append(ID_MNU_BORRARPARTIDA_3006, wxT("Borrar partida"), wxT("Borra una partida de un producto"), wxITEM_NORMAL);
	ID_MNU_BODEGA_3000_Mnu_Obj->Append(ID_MNU_BORRARPRODUCTO_3007, wxT("Borrar producto"), wxT("Borra un producto por completo"), wxITEM_NORMAL);
	WxMenuPrincipal->Append(ID_MNU_BODEGA_3000_Mnu_Obj, wxT("Bodega"));
	
	wxMenu *ID_MNU_USUARIOS_4000_Mnu_Obj = new wxMenu(0);
	ID_MNU_USUARIOS_4000_Mnu_Obj->Append(ID_MNU_AGREGARUSUARIO_4001, wxT("Agregar usuario"), wxT("Agrega un nuevo usuario"), wxITEM_NORMAL);
	ID_MNU_USUARIOS_4000_Mnu_Obj->Append(ID_MNU_LISTARUSUARIOS_4002, wxT("Listar usuarios"), wxT("Muestra todos los usuarios"), wxITEM_NORMAL);
	ID_MNU_USUARIOS_4000_Mnu_Obj->Append(ID_MNU_BUSCARUSUARIO_4003, wxT("Buscar usuario"), wxT("Muestra un usuario especfico"), wxITEM_NORMAL);
	ID_MNU_USUARIOS_4000_Mnu_Obj->Append(ID_MNU_MODIFICARUSUARIO_4004, wxT("Modificar usuario"), wxT("Modifica la informacin de un usuario"), wxITEM_NORMAL);
	ID_MNU_USUARIOS_4000_Mnu_Obj->AppendSeparator();
	ID_MNU_USUARIOS_4000_Mnu_Obj->Append(ID_MNU_BORRARUSUARIO_4006, wxT("Borrar usuario"), wxT("Elimina un usuario de la base de datos"), wxITEM_NORMAL);
	WxMenuPrincipal->Append(ID_MNU_USUARIOS_4000_Mnu_Obj, wxT("Usuarios"));
	
	wxMenu *ID_MNU_CARTA_5000_Mnu_Obj = new wxMenu(0);
	ID_MNU_CARTA_5000_Mnu_Obj->Append(ID_MNU_INGREDIENTES_5001, wxT("Ingredientes"), wxT("Ingredientes de las recetas"), wxITEM_NORMAL);
	ID_MNU_CARTA_5000_Mnu_Obj->Append(ID_MNU_RECETAS_5002, wxT("Recetas"), wxT("Recetas de platillos"), wxITEM_NORMAL);
	ID_MNU_CARTA_5000_Mnu_Obj->Append(ID_MNU_MEN__5003, wxT("Men"), wxT("Mens a la venta"), wxITEM_NORMAL);
	WxMenuPrincipal->Append(ID_MNU_CARTA_5000_Mnu_Obj, wxT("Carta"));
	SetMenuBar(WxMenuPrincipal);
	////GUI Items Creation End
}

void RestorantFrm::OnClose(wxCloseEvent& event)
{
	Destroy();
}
