//---------------------------------------------------------------------------
//
// Name:        RestorantFrm.h
// Author:      Kyosuke Kasuga
// Created:     24-02-2009 21:22:56
// Description: RestorantFrm class declaration
//
//---------------------------------------------------------------------------

#ifndef __RESTORANTFRM_h__
#define __RESTORANTFRM_h__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/frame.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers between 
//Header Include Start and Header Include End.
//wxDev-C++ designer will remove them. Add custom headers after the block.
////Header Include Start
#include <wx/menu.h>
////Header Include End

////Dialog Style Start
#undef RestorantFrm_STYLE
#define RestorantFrm_STYLE wxCAPTION | wxRESIZE_BORDER | wxSYSTEM_MENU | wxMINIMIZE_BOX | wxCLOSE_BOX
////Dialog Style End

class RestorantFrm : public wxFrame
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		RestorantFrm(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("Restorant"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = RestorantFrm_STYLE);
		virtual ~RestorantFrm();
		
	private:
		//Do not add custom control declarations between
		//GUI Control Declaration Start and GUI Control Declaration End.
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxMenuBar *WxMenuPrincipal;
		////GUI Control Declaration End
		
	private:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_MNU_PROGRAMA_1000 = 1000,
			ID_MNU_SUBMENUITEM2_1001 = 1001,
			ID_MNU_LOGOUT_1002 = 1002,
			ID_MNU_CREARBASEDEDATOS_1004 = 1004,
			ID_MNU_SALIR_1005 = 1005,
			ID_MNU_CONSULTAS_2000 = 2000,
			ID_MNU_VENDER_2001 = 2001,
			ID_MNU_MOSTRARVENTAS_2002 = 2002,
			ID_MNU_CONSULTA_2004 = 2004,
			ID_MNU_LIBRODIARIO_2005 = 2005,
			ID_MNU_ANULARBOLETADEVENTA_2006 = 2006,
			ID_MNU_BODEGA_3000 = 3000,
			ID_MNU_AGREGARPRODUCTO_3001 = 3001,
			ID_MNU_LISTARPRODUCTOS_3002 = 3002,
			ID_MNU_BUSCARPRODUCTO_3003 = 3003,
			ID_MNU_MODIFICARPARTIDA_3004 = 3004,
			ID_MNU_BORRARPARTIDA_3006 = 3006,
			ID_MNU_BORRARPRODUCTO_3007 = 3007,
			ID_MNU_USUARIOS_4000 = 4000,
			ID_MNU_AGREGARUSUARIO_4001 = 4001,
			ID_MNU_LISTARUSUARIOS_4002 = 4002,
			ID_MNU_BUSCARUSUARIO_4003 = 4003,
			ID_MNU_MODIFICARUSUARIO_4004 = 4004,
			ID_MNU_BORRARUSUARIO_4006 = 4006,
			ID_MNU_CARTA_5000 = 5000,
			ID_MNU_INGREDIENTES_5001 = 5001,
			ID_MNU_RECETAS_5002 = 5002,
			ID_MNU_MEN__5003 = 5003,
			
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
		
	private:
		void OnClose(wxCloseEvent& event);
		void CreateGUIControls();
};

#endif
